OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSelect

# IGESSelect_RebuildDrawings Class Reference

Rebuilds Drawings which were bypassed to produce new models.
If a set of entities, all put into a same IGESModel, were
attached to a same Drawing in the starting Model, this Modifier
rebuilds the original Drawing, but only with the transferred
entities. This includes that all its views are kept too, but
empty; and annotations are not kept. Drawing Name is renewed.
If the Input Selection is present, tries to rebuild Drawings
only for the selected entities. Else, tries to rebuild
Drawings for all the transferred entities.
.

`#include <IGESSelect_RebuildDrawings.hxx>`

Inheritance diagram for IGESSelect_RebuildDrawings:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSelect_RebuildDrawings ()
| Creates an RebuildDrawings, which uses the system Date .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : Rebuilds the original Drawings .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Rebuild Drawings" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_RebuildDrawings::IGESSelect_RebuildDrawings | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_RebuildDrawings::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_RebuildDrawings::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_RebuildDrawings::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_RebuildDrawings.hxx